TTable.h File Reference

Header file for TTable class. More...

`#include <string>`
`#include <vector>`
`#include <rcsb/TableError.h>`
`#include <rcsb/Serializer.h>`
Include dependency graph for TTable.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | TTable
| Private class that represents a table of tuples. More...

## Macros

#define | TTABLE_COLUMN_DELETE_AS_REMOVE

## Functions

std::ostream & | operator<< (std::ostream &out, const TTable &sTable)

## Detailed Description

Header file for TTable class.

## Macro Definition Documentation

## TTABLE_COLUMN_DELETE_AS_REMOVE

#define TTABLE_COLUMN_DELETE_AS_REMOVE

## Function Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | out,
|  | const TTable & | sTable
| ) |  |